package com.awesome.flulm_auth.handler;

import android.util.Log;

import com.awesome.flulm_auth.constant.LmPluginKeys;
import com.awesomeglobal.paysdk.auth.model.SendAuth;
import com.awesomeglobal.paysdk.modelbase.BaseResp;
import com.awesomeglobal.paysdk.modelpay.PayResp;

import java.util.HashMap;
import java.util.Map;

import io.flutter.plugin.common.MethodChannel;

public class FluLmResponseHandler {
    private static MethodChannel channel;
    private static String errStr = "errStr";
    private static String resultData = "resultData";
    private static String errCode = "errCode";
    private static String openId = "openId";
    private static String type = "type";

    public static void setMethodChannel(MethodChannel methodChannel) {
        channel = methodChannel;
    }


    public static void handleResponse(BaseResp response) {
        if (response instanceof SendAuth.Resp) {
            handleAuthResponse((SendAuth.Resp) response);
        } else if (response instanceof PayResp) {
            handlePayResponse((PayResp) response);
        }
    }


    private static void handleAuthResponse(SendAuth.Resp response) {
        Log.d("AwesomeAuth", "handleAuthResponse=====" + response.code);
        Map<String, String> result = new HashMap();
        result.put(LmPluginKeys.PLATFORM, LmPluginKeys.ANDROID);
        result.put(errCode, String.valueOf(response.errCode));
        result.put("code", response.code);
        result.put("state", response.state);
        result.put("lang", response.lang);
        result.put("country", response.country);
        result.put(errStr, response.errStr);
        result.put(openId, response.openId);
        result.put("url", response.url);
        result.put(type, String.valueOf(response.getType()));

        if (channel != null) {
            channel.invokeMethod("onAuthResponse", result);

        }
    }

    private static void handlePayResponse(PayResp response) {
        Log.d("AwesomeAuth", "handlePayResponse=====" + response);
        Map<String, String> result = new HashMap();
        result.put(LmPluginKeys.PLATFORM, LmPluginKeys.ANDROID);
        result.put(errCode, String.valueOf(response.errCode));
        result.put(resultData, String.valueOf(response.resultData));
        result.put(type, String.valueOf(response.getType()));

        if (channel != null) {
            channel.invokeMethod("onPayResponse", result);
        }

    }

}
