package com.awesome.flulm_auth.lmapi;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;

import androidx.annotation.Nullable;

import com.awesome.flulm_auth.handler.FluLmRequestHandler;
import com.awesome.flulm_auth.handler.FluLmResponseHandler;
import com.awesome.flulm_auth.handler.LmAPiHandler;
import com.awesomeglobal.paysdk.modelbase.BaseReq;
import com.awesomeglobal.paysdk.modelbase.BaseResp;
import com.awesomeglobal.paysdk.openapi.ILMAPIEventHandler;

class FluwxLmEntryPayActivity extends Activity implements ILMAPIEventHandler {

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        Log.d("AwesomeAuth", "FluLmEntryPayActivity======create======");
        try {
            LmAPiHandler.lmAuth.handleIntent(getIntent(), this);
        } catch (Exception e) {
            e.printStackTrace();
            finish();
        }

    }

    @Override
    protected void onNewIntent(Intent intent) {
        super.onNewIntent(intent);
        Log.d("AwesomeAuth", "FluLmEntryPayActivity======onNewIntent======");
        setIntent(intent);
        try {
            LmAPiHandler.lmAuth.handleIntent(intent, this);
        } catch (Exception e) {
            e.printStackTrace();
            finish();
        }

    }

    @Override
    public void onReq(BaseReq baseReq) {
        Activity activity = FluLmRequestHandler.getRegistrar().activity();
        if (baseReq.getType() == 1 && activity != null) {
            startActivity(new Intent(this, activity.getClass()));
            finish();
        }
    }

    @Override
    public void onResp(BaseResp baseResp) {
        FluLmResponseHandler.handleResponse(baseResp);
        finish();
    }
}
